Last modified: 2013-02-12 10:37:09 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 29230 - CustomUserSignup extension can't customize "MediaWiki:Fancycaptcha-createaccount"
CustomUserSignup extension can't customize "MediaWiki:Fancycaptcha-createacco...
Status: RESOLVED INVALID
Product: MediaWiki extensions
Classification: Unclassified
CustomUserSignup (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2011-06-01 18:04 UTC by Sage Ross
Modified: 2013-02-12 10:37 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sage Ross 2011-06-01 18:04:02 UTC
I was trying to create a custom account creation system to link up to the APS Wikipedia Initiative: http://en.wikipedia.org/w/index.php?title=Special:UserLogin&type=signup&campaign=apswi

I created three customized pages:
http://en.wikipedia.org/wiki/MediaWiki:Customusertemplate-apswi-welcomecreation
http://en.wikipedia.org/wiki/MediaWiki:Customusertemplate-apswi-signupend
http://en.wikipedia.org/wiki/MediaWiki:Custumusertemplate-apswi-fancycaptcha-createaccount

The first two work, replacing the normal "MediaWiki:Welcomecreation" and "MediaWiki:Signupend" messages.  But the third does not affect the message that is normally at "MediaWiki:Fancycaptcha-createaccount".

Also, it would be helpful to have a list of *all* the messages that can be customized through this extension.
Comment 1 Lennart Guldbrandsson 2011-06-01 20:39:31 UTC
I've had similar problems for creating a new Account Creation process:

http://en.wikipedia.org/wiki/MediaWiki:Customusertemplate-ACP1:Fancycaptcha-createaccount
http://en.wikipedia.org/wiki/MediaWiki:Customusertemplate-ACP1:Welcomecreation
and several more

The extension is called http://www.mediawiki.org/wiki/Extension:CustomUserSignup.

I have been likewise unable to get the extension to work the way it is supposed to, with assigning you to a random "bucket".
Comment 2 sheac 2012-05-04 21:39:31 UTC
This bug has not been touched in at least six months. With this in mind, I've been asked by the bugmeister to bump this bug's priority down for "High". Concerns can be addressed to mah@everybody.org.
Comment 3 Sage Ross 2013-02-11 19:37:44 UTC
Extension is no longer deployed and the old signup system is now obsolete, so I'm marking it Invalid.
Comment 4 Andre Klapper 2013-02-12 10:37:09 UTC
Sage: Thanks for the info.
Not being deployed on WMF wikis doesn't mean the bug report itself is invalid. +1 in case the extension is also not *developed* anymore, but that would also require
* closing this Bugzilla component for new bug entry
* closing all other (2) open tickets as INVALID/WONTFIX.
I'm happy to do so if you could confirm (in case you know).

(Plus I've removed {{OnWikimedia}} from http://www.mediawiki.org/wiki/Extension:CustomUserSignup as it's not deployed anymore on WM servers).

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links